Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019661
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorsometimes2012-02-06 11:452012-03-02 15:37
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in Version3.0MP9
StatusclosedFix in branchFixed in SCM revision6b84612a26a3
ProjectionnoneETAnoneTarget Version3.0MP9
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019661: Sometimes rebuild process fails if started from PNA office while server is in Amazon

DescriptionActually it happens quite often.

Rebuild window shows 2 build tasks running in parallel (see screenshot).

It seems like it is due to our load-balancer but it is very annoying and it is now causing issues to OB on Demand pilot.

Log and screenshot are attached.
Steps To ReproduceTry to execute rebuild in the instance running in EC2.
Proposed SolutionImplement protection mechanism that does not accept another rebuild request until first one finishes.
TagsNo tags attached.
Attached Filespng file icon Rebuildscreenshot.png [^] (98,817 bytes) 2012-02-06 11:45


 file icon errorlog [^] (207,975 bytes) 2012-02-06 11:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00199072.50MP40 closedmarvintm Sometimes rebuild process fails if started from PNA office while server is in Amazon 

-  Notes
(0045144)
hgbot (developer)
2012-02-15 12:20

Repository: erp/devel/pi
Changeset: 6b84612a26a3d0d29864162a904b2c358912cdd1
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Feb 15 12:19:15 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6b84612a26a3d0d29864162a904b2c358912cdd1 [^]

Fixed issue 19661. Build requests will be ignored while a build is running

---
M src/org/openbravo/erpCommon/ad_process/ApplyModules.java
---
(0045492)
alostale (developer)
2012-02-28 08:35

Code reviewed and tested on pi@8f8ae175ff2b

During the test the rebuild didn't fail, looking at the code it shouldn't reproduce again.
(0045855)
hudsonbot (developer)
2012-03-02 15:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/544d64e0c159 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-06 11:45 dmitry_mezentsev New Issue
2012-02-06 11:45 dmitry_mezentsev Assigned To => marvintm
2012-02-06 11:45 dmitry_mezentsev File Added: Rebuildscreenshot.png
2012-02-06 11:45 dmitry_mezentsev Modules => Core
2012-02-06 11:52 dmitry_mezentsev File Added: errorlog
2012-02-06 20:06 shuehner Issue Monitored: shuehner
2012-02-15 12:20 hgbot Checkin
2012-02-15 12:20 hgbot Note Added: 0045144
2012-02-15 12:20 hgbot Status new => resolved
2012-02-15 12:20 hgbot Resolution open => fixed
2012-02-15 12:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6b84612a26a3d0d29864162a904b2c358912cdd1 [^]
2012-02-28 08:35 alostale Note Added: 0045492
2012-02-28 08:35 alostale Status resolved => closed
2012-02-28 08:35 alostale Fixed in Version => 3.0MP9
2012-02-28 18:29 shuehner Issue cloned 0019907
2012-02-28 18:31 shuehner Relationship added related to 0019907
2012-03-02 15:37 hudsonbot Checkin
2012-03-02 15:37 hudsonbot Note Added: 0045855
2012-03-16 18:53 shuehner Relationship replaced depends on 0019907


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker